Bug 22299 - Typo in parameter of import_patrons.pl: preserve_extended_atributes
Summary: Typo in parameter of import_patrons.pl: preserve_extended_atributes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-09 23:46 UTC by Katrin Fischer
Modified: 2019-02-25 15:28 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
The --preserve-extended-atributes parameter for import_patrons.pl had a typo within it. In this version we have fixed the typo and so the attribute name has been updated to --preserve-extended-attributes
Version(s) released in:


Attachments
Bug 22299: Fix typo in option of import_patrons.pl (1.90 KB, patch)
2019-02-09 23:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22299: Fix typo in option of import_patrons.pl (1.97 KB, patch)
2019-02-12 13:47 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-02-09 23:46:25 UTC
Moving the typo fix from bug 21710 to this new bug as it might need more discussion. Fixing the typo as the attached patch does could potentially break automated scripts.
Comment 1 Katrin Fischer 2019-02-09 23:48:03 UTC
Created attachment 84940 [details] [review]
Bug 22299: Fix typo in option of import_patrons.pl

Fix typo in 'p|preserve-extended-atributes' option of
the import_patrons.pl script.

To test:
- Use the script to import patron data.
- Verify behaviour is the same with and without the patch
  concerning the preserve-extended_at(t)tributes option
Comment 4 Martin Renvoize 2019-02-12 13:47:40 UTC
Created attachment 85016 [details] [review]
Bug 22299: Fix typo in option of import_patrons.pl

Fix typo in 'p|preserve-extended-atributes' option of
the import_patrons.pl script.

To test:
- Use the script to import patron data.
- Verify behaviour is the same with and without the patch
  concerning the preserve-extended_at(t)tributes option

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-02-12 13:49:12 UTC
A trivial fix which again causes no regressions.. Going straight for PQA here.

Note to RMaints (i.e. me).. I'd hold off on pushing this one to stable branches.. as it alters the parameters that can be fed to the scripts I believe it should be saved for a features release.
Comment 6 Nick Clemens 2019-02-15 18:51:23 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-25 15:28:25 UTC
As recommended by myself to myself.. I won't be backporting this one ;)